<template>
  <div>
    <section-header>{{ label }}</section-header>
    <div class="flex flex-col">
      <div class="flex flex-row">
        <info-cell>Id</info-cell>
        <info-cell>Name</info-cell>
        <info-cell>Date</info-cell>
        <info-cell>Description</info-cell>
        <info-cell>Lodge id</info-cell>
        <router-link :to="{ name: 'EditEvent', params: { id: 'new' } }">
          <AddButton />
        </router-link>
      </div>
      <EventInfo v-for="event of events" :key="event.id" :id="event.id" />
    </div>
    <div class="my-7 flex justify-center">
      <CancelButton value="return" class="w-1/2" @click="goBack" />
    </div>
  </div>
</template>

<script>
import EventInfo from '@/components/EventInfo.vue';
import InfoCell from '@/components/InfoCell.vue';
import CancelButton from '@/components/CancelButton.vue';
import AddButton from '@/components/AddButton.vue'
import SectionHeader from '@/components/SectionHeader.vue';
import { mapGetters } from 'vuex';

export default {
  props: ['label'],
  components: {
    EventInfo,
    InfoCell,
    CancelButton,
    AddButton,
    SectionHeader
  },
  methods: {
    goBack() {
      this.$router.push({ name: 'Menu' })
    }
  },
  computed: {
    ...mapGetters({
      events: 'getEvents'
    })
  }
}
</script>